> ## Documentation Index
> Fetch the complete documentation index at: https://conductorone-docs-terraform-v2-owner-resources.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List Cohort Filter Attributes

> ListCohortFilterAttributes is the catalog used by the custom-analysis
 editor. It is intentionally independent from value enumeration.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples get /api/v1/role-mining/filter-attributes
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/role-mining/filter-attributes:
    get:
      tags:
        - Role Mining
      summary: List Cohort Filter Attributes
      description: |-
        ListCohortFilterAttributes is the catalog used by the custom-analysis
         editor. It is intentionally independent from value enumeration.
      operationId: >-
        c1.api.role_mining_management.v1.RoleMiningManagementService.ListCohortFilterAttributes
      parameters:
        - in: query
          name: page_size
          schema:
            description: The pageSize field.
            format: int32
            type: integer
        - in: query
          name: page_token
          schema:
            description: The pageToken field.
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.role_mining_management.v1.ListCohortFilterAttributesResponse
          description: Successful response
components:
  schemas:
    c1.api.role_mining_management.v1.ListCohortFilterAttributesResponse:
      description: The ListCohortFilterAttributesResponse message.
      properties:
        attributes:
          description: The attributes field.
          items:
            $ref: '#/components/schemas/c1.mcp.role_mining.v1.CohortFilterAttribute'
          type:
            - array
            - 'null'
        nextPageToken:
          description: The nextPageToken field.
          type: string
      title: List Cohort Filter Attributes Response
      type: object
      x-speakeasy-name-override: ListCohortFilterAttributesResponse
    c1.mcp.role_mining.v1.CohortFilterAttribute:
      description: >-
        CohortFilterAttribute describes one stable filter key independently of
        its
         materialized values.
      properties:
        attribute:
          description: The attribute field.
          type: string
        displayName:
          description: The displayName field.
          type: string
        kind:
          description: The kind field.
          enum:
            - COHORT_FILTER_ATTRIBUTE_KIND_UNSPECIFIED
            - COHORT_FILTER_ATTRIBUTE_KIND_BUILTIN
            - COHORT_FILTER_ATTRIBUTE_KIND_CUSTOM
          type: string
          x-speakeasy-unknown-values: allow
      title: Cohort Filter Attribute
      type: object
      x-speakeasy-name-override: CohortFilterAttribute
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````